# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		passwd-gen
Version:	1.01a
Release:	alt1_20
Summary:	Password generator
License:	GPLv2
Group:		System/Base
Source:		%{name}-%{version}.tar.bz2
#gw: remove a compiler warning and convert the output message to UTF-8
Patch0:		passwd-gen-1.01a-warning.patch
Patch1:		passwd-gen-1.01a-debug.patch
Source44: import.info

%description
passwd-gen is a very powerful password generator written in C to help
you choose a good password. It contains many options to help you
customize your password. The program has been developed for Linux but
may run on many other system (if you are using it from something else
than linux, please contact the author).

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.01a-alt1_20
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.01a-alt1_19
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.01a-alt1_18
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.01a-alt1_17
- new version

